Bug 965806 - yum-plugin-tmprepo-1.1.31-10 fails to load if repo path ends with less of 4 characters
yum-plugin-tmprepo-1.1.31-10 fails to load if repo path ends with less of 4 ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 15:05 EDT by Sergio Monteiro Basto
Modified: 2013-12-26 21:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-26 21:48:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tmprepo.py.patch (644 bytes, patch)
2013-05-21 15:05 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Sergio Monteiro Basto 2013-05-21 15:05:41 EDT
Created attachment 751358 [details]
tmprepo.py.patch

Description of problem:

yum-plugin-tmprepo-1.1.31-10 fails to load repo if repo path ends with less of 4 characters


Version-Release number of selected component (if applicable):
yum-plugin-tmprepo-1.1.31-10.fc18.noarch

How reproducible:
yum --tmprepo http://www.serjux.com/audacity-freeworld/0018/repodata/repomd.xml --nogpg update
works and 

yum --tmprepo http://www.serjux.com/audacity-freeworld/18/repodata/repomd.xml --nogpg update 
don't , gives Bad id for repo: T-  18-519bc082, byte =   2 

Additional info:
Patch attach fix the bug , not sure if the best solution
Comment 1 Zdeněk Pavlas 2013-05-27 09:40:51 EDT
Yes, Yum does not like spaces in repo id.  I've checked if tmprepo does not later split the generated repo ID, assuming there are exactly 4 chars, but it does not, so your patch is safe.  Will merge.  Thanks for the patch!
Comment 2 Fedora End Of Life 2013-12-21 08:39:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Sergio Monteiro Basto 2013-12-26 21:48:46 EST
this is fixed , I just test it , thanks

Note You need to log in before you can comment on or make changes to this bug.